Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class HL7ManagerImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.HL7ManagerImpl

All Implemented Interfaces:
  HL7Manager, com.stc.repository.API, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

    public class HL7ManagerImpl

extends HL7ObjectImpl
implements HL7Manager

HL7 Manager Implementation.

Version:
  $Revision: 1.1 $
Author:
  nang

Nested Class Summary
`static class` | `HL7ManagerImpl.ClassNameMapper` Type Resolver class for Object created using this API.

Field Summary

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.hl7.repository.HL7Manager
`HL7_MANAGER_API_NAMESPACE, HL7_MANAGER_API_SYSTEM_ID`

Fields inherited from interface com.stc.repository.API
`RCS_ID`

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Constructor Summary
`HL7ManagerImpl()` Constructs an instance of the manager.
`HL7ManagerImpl(com.stc.repository.Repository parent)` Construct an instance of the manager.

Method Summary
`com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper` | `getClassNameMapper()`
`java.lang.String` | `getSystemID()`
`void` | `initialize(com.stc.repository.Repository repository)`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Constructor Detail

### HL7ManagerImpl

    public HL7ManagerImpl()

  Constructs an instance of the manager. This will be called by Repository unmarshalling.

### HL7ManagerImpl

    public HL7ManagerImpl(com.stc.repository.Repository parent)
                   throws com.stc.repository.RepositoryException

  Construct an instance of the manager.

  Parameters:
    `parent` - the repository
  Throws:
    `com.stc.repository.RepositoryException` - if the operation fails

Method Detail

### getClassNameMapper

    public com.stc.repository.persistence.client.MarshalableFactory.ClassNameMapper getClassNameMapper()

  Specified by:
    `getClassNameMapper` in interface `com.stc.repository.API`

### getSystemID

    public java.lang.String getSystemID()

  Specified by:
    `getSystemID` in interface `com.stc.repository.API`

### initialize

    public void initialize(com.stc.repository.Repository repository)
                    throws com.stc.repository.RepositoryException

  Specified by:
    `initialize` in interface `com.stc.repository.API`
  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD